Subject: bug#7989: 23.2.91; How do I update "local" autoloads?

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Feb 2011 17:33:01 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Sat, 05 Feb 2011 13:06:15 +0000
> Cc: 
> 
> 1. It updated all the autoloads, not just the ones for that directory.
> This seems to contradict the docstring for update-directory-autoloads,
> which says “Update loaddefs.el with all the current autoloads from
> DIRS”, and I had supplied precisely one directory, interactively.

Please show exactly how you invoked update-directory-autoloads, with
all its arguments.

> 2. It then wrote the resulting loaddefs.el to the source directory for
> Emacs. This is very clear in the code, in autoload-generated-file, but
> I’m at a loss to explain it: I can see this is useful while building
> Emacs, but I can’t see what possible utility it has when using an
> installed Emacs.

See generated-autoload-file.